#!/bin/bash -l

names=$(ls *str1*.bw | awk -F 'Si' '{print $1}')

for name in $names
do

echo -e "track ${name}
shortLabel ${name}
longLabel ${name}
type bigWig
visibility full
autoScale on
aggregate transparentOverlay
showSubtrackColorOnUi on
container multiWig

    track ${name}_forward
    bigDataUrl http://upnaesrv1.epfl.ch/3seq/mm10/${name}Signal.Unique.str1.out.bw
    shortLabel ${name}_forward
    longLabel ${name}_forward
    type bigWig
    color 255,0,0
    parent ${name}

    track ${name}_reverse
    bigDataUrl http://upnaesrv1.epfl.ch/3seq/mm10/${name}Signal.Unique.str2.out.bw
    shortLabel ${name}_reverse
    longLabel ${name}_reverse
    type bigWig
    color 0,0,255
    negateValues on
    parent ${name}\n"

done
